#
# classpath.py
#
# Copyright (c) 2002 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Bees Software.
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#

# Construct SystemClass capabilities from the bees JAR file.

from bees.tools.beesShell import *

import os
import zipfile

an = nodes[0]

try:
    jarname = "bees." + os.environ["JAR_EXT"]
    zf = zipfile.ZipFile(os.environ["TOPBUILDDIR"]
                         + os.sep + "classes"
                         + os.sep + jarname)
    jarname = "bees.jar"
    for file in zf.namelist():
        index = string.rfind(file, ".class")
        if index != -1:
            subName = file[:index]
            subName = string.replace(subName, os.sep, '.')
            fullName = "classpath/" + jarname + "/" + subName
            if not an.capability(fullName).exists():
                an.systemClass().create(fullName, subName)
            index = string.rfind(subName, ".")
            if index != -1:
                subName = subName[:index]
                fullName = "classpath/" + jarname + "/" + subName
                if not an.capability(fullName).exists():
                    an.systemPackage().create(fullName, subName)

    an.capabilityMap("classpath").writeTo("classpath.cap")
finally:
    an.shutdown()
