#
# beesClasses.py
#
# Copyright (c) 2002 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Bees Software.
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#

beesPackages = [
    "bees",
    "bees.core",
    "bees.core.kernel",
    "bees.core.resource",
    "bees.core.security",
    "bees.core.bdomain",
    "bees.util",
    ]

beesClasses = [
    "bees.util.MD5",
    "bees.util.LineList",
    "bees.util.LineListTokenizer",
    "bees.util.LineListException",
    "bees.core.Assert",
    "bees.core.ObjectTree",
    "bees.core.kernel.BDomainIdentifier",
    "bees.core.kernel.ListBDomainEvent",
    "bees.core.kernel.BeesKernel",
    "bees.core.kernel.KernelPanic",
    "bees.core.kernel.BDomainCoroutine",
    "bees.core.kernel.JSICoroutine",
    "bees.core.kernel.KernelCapabilities",
    "bees.core.kernel.JSIEvent",
    "bees.core.kernel.BDomainRegister",
    "bees.core.kernel.KernelObjectEvent",
    "bees.core.kernel.KernelObjectCoroutine",
    "bees.core.kernel.ConnectBDomainCoroutine",
    "bees.core.kernel.CreateBDomainEvent",
    "bees.core.kernel.PortPair",
    "bees.core.kernel.KernelString",
    "bees.core.kernel.BDomainExistsException",
    "bees.core.kernel.CreateBDomainCoroutine",
    "bees.core.kernel.KernelObjectStore",
    "bees.core.kernel.ConnectBDomainEvent",
    "bees.core.kernel.KernelPortHandle",
    "bees.core.kernel.KernelObject",
    "bees.core.kernel.ListBDomainCoroutine",
    "bees.core.kernel.JSIHandlerThread",
    "bees.core.kernel.BDomainRegisterHandler",
    "bees.core.kernel.BDomainRegisterCoroutine",
    "bees.core.kernel.KernelObjectStreamer",
    "bees.core.kernel.KernelObjectStoreHandler",
    "bees.core.kernel.BDomainRegisterEvent",
    "bees.core.kernel.BDomainEndingEvent",
    "bees.core.kernel.BDomainDeathException",
    "bees.core.kernel.BDomainRunningEvent",
    "bees.core.security.Permission",
    "bees.core.security.Alias",
    "bees.core.security.PermissionSet",
    "bees.core.security.AliasFactory",
    "bees.core.security.PermissionException",
    "bees.core.security.KeyFactory",
    "bees.core.security.KeyPair",
    "bees.core.security.KeyPairGenerator",
    "bees.core.security.KeyStore",
    "bees.core.security.Password",
    "bees.core.security.PasswordFactory",
    "bees.core.security.PrivateKey",
    "bees.core.security.KeyGenerator",
    "bees.core.security.PublicKey",
    "bees.core.security.GuardedStringCapability",
    "bees.core.security.SecretKey",
    "bees.core.security.Signature",
    "bees.core.security.CountPermission",
    "bees.core.security.Key",
    "bees.core.security.VersionString",
    "bees.core.security.SecretKeyFactory",
    "bees.core.security.VersionStringFactory",
    "bees.core.security.SecretKeyHandler",
    "bees.core.security.KeySpec",
    "bees.core.security.KeyPairGeneratorHandler",
    "bees.core.security.AliasHandler",
    "bees.core.security.PasswordHandler",
    "bees.core.security.VersionStringHandler",
    "bees.core.security.SharePermission",
    "bees.core.security.SecretKeySpec",
    "bees.core.security.PublicKeySpec",
    "bees.core.security.PrivateKeySpec",
    "bees.core.security.GuardedSecretKey",
    "bees.core.security.Range",
    "bees.core.security.IntegerPermission",
    "bees.core.security.ExclusivePermission",
    "bees.core.security.MaximumIntegerPermission",
    "bees.core.security.ExclusivePermissionException",
    "bees.core.security.PermissionTypes",
    "bees.core.security.TransferablePermissionSet",
    "bees.core.security.RangePermission",
    "bees.core.security.EnumerationPermission",
    "bees.core.security.MinimumIntegerPermission",
    "bees.core.security.EnumerationException",
    "bees.core.security.EnumerationPair",
    "bees.core.security.LongPermission",
    "bees.core.security.FloatPermission",
    "bees.core.security.MinimumFloatPermission",
    "bees.core.security.MaximumFloatPermission",
    "bees.core.bdomain.EventHandler",
    "bees.core.bdomain.CapabilityArgument",
    "bees.core.bdomain.BeesEvent",
    "bees.core.bdomain.DeadBDomainException",
    "bees.core.bdomain.BDomain",
    "bees.core.bdomain.BDomainLocal",
    "bees.core.bdomain.CapabilityTree",
    "bees.core.bdomain.DeleteBDomain",
    "bees.core.bdomain.BDomainDeathException",
    "bees.core.bdomain.DummyBDomain",
    "bees.core.bdomain.BDomainCreationException",
    "bees.core.bdomain.CapabilityWatcher",
    "bees.core.bdomain.CapsuleReceiver",
    "bees.core.bdomain.DischargeBDomainEvent",
    "bees.core.bdomain.ExternalChannel",
    "bees.core.bdomain.PortExternalChannel",
    "bees.core.bdomain.UserBeesEvent",
    "bees.core.bdomain.DischargeBDomainCoroutine",
    "bees.core.anep.ANEPDemultiplexKey",
    "bees.core.anep.ANEPVersion",
    "bees.core.anep.ANEPBDomain",
    "bees.core.anep.ANEPPacket",
    "bees.core.StateResponder",
    "bees.core.Capability",
    "bees.core.TypeID",
    "bees.core.resource.Logger",
    "bees.core.resource.File",
    "bees.core.resource.MemoryPage",
    "bees.core.resource.CPUShare",
    "bees.core.resource.Timer",
    "bees.core.resource.NodeOSProtocol",
    "bees.core.resource.ClassSpace",
    "bees.core.resource.IPPortHandler",
    "bees.core.resource.ClassSpaceFactory",
    "bees.core.resource.FileFactory",
    "bees.core.resource.IPAddressHandler",
    "bees.core.resource.TimerFrequencyFactory",
    "bees.core.resource.TimerHandler",
    "bees.core.resource.IPPort",
    "bees.core.resource.NodeOSAddressComponent",
    "bees.core.resource.IPAddress",
    "bees.core.resource.TimerFrequency",
    "bees.core.resource.ClassSpaceHandler",
    "bees.core.resource.NodeOSNeighbor",
    "bees.core.resource.LoggerFactory",
    "bees.core.resource.IPPortSpec",
    "bees.core.resource.NodeOSNeighborFactory",
    "bees.core.resource.NodeOSNetworkInterface",
    "bees.core.resource.NodeOSNeighborHandler",
    "bees.core.resource.Clock",
    "bees.core.resource.NodeOSNetworkInterfaceFactory",
    "bees.core.resource.NodeOSProtocolFactory",
    "bees.core.resource.CPUShareHandler",
    "bees.core.resource.TimerFrequencyHandler",
    "bees.core.resource.BandwidthShare",
    "bees.core.resource.BandwidthShareFactory",
    "bees.core.resource.ReadOnlyMemory",
    "bees.core.resource.FileHandler",
    "bees.core.resource.ResourceShare",
    "bees.core.resource.LoggerHandler",
    "bees.core.resource.NodeOSProtocolHandler",
    "bees.core.resource.MemoryPageHandler",
    "bees.core.resource.ClockFactory",
    "bees.core.resource.NodeOSNetworkInterfaceHandler",
    "bees.core.resource.ClockHandler",
    "bees.core.resource.StringMapping",
    "bees.core.resource.ReadOnlyMemoryFactory",
    "bees.core.resource.NodeOSNetworkInterfaceMapping",
    "bees.core.resource.StringMappingFactory",
    "bees.core.resource.StringMappingHandler",
    "bees.core.resource.IPPortFactory",
    "bees.core.resource.DiskBlockSpec",
    "bees.core.resource.ReadOnlyMemoryHandler",
    "bees.core.resource.DiskBlock",
    "bees.core.resource.NodeOSAddressComponentFactory",
    "bees.core.resource.ClockSpec",
    "bees.core.resource.DiskBlockFactory",
    "bees.core.resource.ClassSpaceSpec",
    "bees.core.resource.LoggerSpec",
    "bees.core.resource.DiskBlockHandler",
    "bees.core.resource.TimerFrequencySpec",
    "bees.core.resource.IPAddressFactory",
    "bees.core.resource.EthernetAddress",
    "bees.core.resource.EthernetAddressFactory",
    "bees.core.resource.CPUShareSpec",
    "bees.core.resource.Shares",
    "bees.core.resource.IPAddressSpec",
    "bees.core.resource.NodeOSProtocolSpec",
    "bees.core.resource.NodeOSAddress",
    "bees.core.resource.ShareCapability",
    "bees.core.resource.ShareCapabilitySpec",
    "bees.core.resource.ShareCapabilityFactory",
    "bees.core.resource.SharesHandler",
    "bees.core.resource.Classes",
    "bees.core.resource.Packages",
    "bees.core.resource.AddressRange",
    "bees.core.resource.ClassesHandler",
    "bees.core.resource.PackagesHandler",
    "bees.core.resource.UDPPort",
    "bees.core.resource.AddressRangeHandler",
    "bees.core.resource.NodeOSProtocolEnumeration",
    "bees.core.resource.NodeOSProtocolEnumerationHandler",
    "bees.core.resource.AddressComponent",
    "bees.core.resource.IPAddressPermission",
    "bees.core.resource.NodeOSExternalChannel",
    "bees.core.resource.NodeOSExternalChannelHandler",
    "bees.core.ANEPPacket",
    "bees.core.BeesEvent",
    "bees.core.ByteArray",
    "bees.core.EventChannel",
    "bees.core.CloneFactory",
    "bees.core.Capsule",
    "bees.core.ObjectMap",
    "bees.core.ExternalCapsule",
    "bees.core.ProtocolSession",
    "bees.core.CapsuleEncoder",
    "bees.core.CapabilityFactory",
    "bees.core.Packet",
    "bees.core.NodeCache",
    "bees.core.CodeType",
    "bees.core.HashMap",
    "bees.core.CapsulePool",
    "bees.core.SessionType",
    "bees.core.FlowIdentifier",
    "bees.core.MissingCapabilityException",
    "bees.core.NodeFactory",
    "bees.core.ProtocolType",
    "bees.core.CapabilityEnvelope",
    "bees.core.CompanionCapsule",
    "bees.core.BuiltinProtocol",
    "bees.core.Coroutine",
    "bees.core.Pair",
    "bees.core.Protocol",
    "bees.core.CapsuleReceiver",
    "bees.core.Neighbor",
    "bees.core.FlowType",
    "bees.core.ProtocolBDomain",
    "bees.core.BeesVersion",
    "bees.core.CapsuleType",
    "bees.core.UnknownCapsule",
    "bees.core.Application",
    "bees.core.XdrByteArray",
    "bees.core.CodeRequestCapsule",
    "bees.core.IDTranslationProtocol",
    "bees.core.EncodingException",
    "bees.core.Strict",
    "bees.core.ProtocolFlow",
    "bees.core.Neighborhood",
    "bees.core.CapabilityStreamer",
    "bees.core.InheritedCapabilityCoroutine",
    "bees.core.LocalFlowEvent",
    "bees.core.NamedCapabilitiesEvent",
    "bees.core.FlowRequestCapsule",
    "bees.core.SymmetricSeal",
    "bees.core.DLProtocolSession",
    "bees.core.DLProtocol",
    "bees.core.UnknownProtocol",
    "bees.core.TransientCapability",
    "bees.core.DataAggregator",
    "bees.core.FlowResponseCapsule",
    "bees.core.CodeCompanionProtocol",
    "bees.core.Panic",
    "bees.core.DataRequestCapsule",
    "bees.core.PairChain",
    "bees.core.DataResponseCapsule",
    "bees.core.IDTranslatorCapsule",
    "bees.core.CapabilityTracker",
    "bees.core.CapsuleCompanionProtocol",
    "bees.core.CapabilityReference",
    "bees.core.SpecCapability",
    "bees.core.UnknownCapsuleReceiver",
    "bees.core.UnknownProtocolSession",
    "bees.core.CodeResponseCapsule",
    "bees.core.FlowCompanionProtocol",
    "bees.core.StringCompanionProtocol",
    "bees.core.PacketAuthorization",
    "bees.core.FlowIdentifierFactory",
    "bees.core.Sealer",
    "bees.core.SignedXdrByteArray",
    "bees.core.IDTranslatorSession",
    "bees.core.InvalidCapabilityException",
    "bees.core.DLProtocolPresentation",
    "bees.core.NeighborImpl",
    "bees.core.ProtocolPresentation",
    "bees.core.FECCapsule",
    "bees.core.IDTranslatorPresentation",
    "bees.core.ReferenceMonitorException",
    "bees.core.NodeCacheCollector",
    "bees.core.DLProtocolProgress",
    "bees.core.MulticastNeighborhood",
    "bees.core.UnknownProtocolPresentation",
    "bees.core.ResponderCoroutine",
    "bees.core.TranslatedID",
    "bees.core.ReliableDataRequestCapsule",
    "bees.core.LocalFlowCoroutine",
    "bees.core.CapsuleGroup",
    "bees.core.RedundantNeighborhood",
    "bees.core.RevokeCapabilityEvent",
    "bees.core.SpecCapabilityFactory",
    "bees.core.BeesDemultiplexKey",
    "bees.core.ExtendedProtocolPresentation",
    "bees.core.ApplicationBDomain",
    "bees.core.ExternalCoroutine",
    "bees.core.ExtendedProtocolSession",
    "bees.core.SealPair",
    "bees.core.Unsealer",
    "bees.core.RevokeCapabilityCoroutine",
    "bees.core.RemoteFlowEvent",
    "bees.core.StateResponderList",
    "bees.core.RemoteFlowCoroutine",
    "bees.core.ExternalChannel",
    "bees.core.Node",
    "bees.core.TwoWayBeesEvent",
    "bees.core.FlowDescProtocolPresentation",
    "bees.core.CapabilitySpecFactory",
    "bees.core.ConnectSessionEvent",
    "bees.core.FlowCodeType",
    "bees.core.InvalidPacketException",
    "bees.core.MissingPairException",
    "bees.core.NodeHandler",
    "bees.core.ExternalChannelFacet",
    "bees.core.ExternalCapsuleReceiver",
    "bees.core.DroppedPacketException",
    "bees.core.AuthorizationEvent",
    "bees.core.FlowDescProtocol",
    "bees.core.AuthorizationCoroutine",
    "bees.core.Authorizer",
    "bees.core.CapsuleSender",
    "bees.core.FlowDescProtocolSession",
    "bees.core.AsymmetricSealer",
    "bees.core.NeighborChannelFacet",
    "bees.core.RevokeCapabilityCallback",
    "bees.core.ExternalCapsuleEvent",
    "bees.core.NodeAuthorization",
    "bees.core.EventChannelHandler",
    "bees.core.WaitForStageEvent",
    "bees.core.NodeAddress",
    "bees.core.LongHaul",
    "bees.core.WorkerThread",
    "bees.core.Xdr",
    "bees.core.WorkerList",
    "bees.core.LongHaulCapability",
    "bees.core.LongHaulCoroutine",
    "bees.core.SymmetricSealFactory",
    "bees.core.LongHaulCapsuleEvent",
    "bees.core.AsymmetricUnsealer",
    "bees.core.FlowEncapsulator",
    "bees.core.AsymmetricSealFactory",
    "bees.core.CryptoUnsealer",
    "bees.core.SessionLocal",
    "bees.core.CryptoSealer",
    "bees.core.NetworkInterface",
    "bees.core.NetworkInterfaceFactory",
    "bees.core.SealedObject",
    "bees.core.FECState",
    "bees.core.ReencodableCapsule",
    ]
