#
# protocol-flow-help.py
#
# Copyright (c) 2002 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Bees Software.
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#

import os
import sys
import time
import beesPageTemplate

config = {
    "title" : "Protocol Launcher Help",
    "time" : time.ctime(os.stat(sys.argv[0])[8]),
    "help-file" : "root-help.html",
    }

body = """
<h2>Protocol Launcher Help</h2>
<p>

The protocol launcher tool is used to start a protocol flow on a node, pass it
whatever capabilities it requires, and possibly run a monitor script.  The
script does this by reading a JAR file that contains "protocol.properties"
files that describe the protocols it contains.  Since there can be more than
one protocol in a JAR file, an option list will be presented so you can select
the one to configure and run.  Once a protocol has been selected, the page will
change to show a form where you can enter the names of capabilities to pass to
the protocol.  The next section describes the protocol and its version number,
you can click on the description link to view the javadoc package description.
The Flow Description slot is optional and allows you to enter the name of a
file capability that contains a description of the flow.  In most cases this
value is the name of a capability created with the <a
href="/cgi-bin/flow-builder.py">flow builder</a>.  If no flow description is
given, the flow is run with the default description that is likely to only work
on nodes that are running the "Everything" authenticator.  After this section,
the rest of the form is dedicated to the capabilities requested by the
protocol.

<p>
Each capability recognized by the protocol is listed with the following parts:

<ul>
<li>Capability Argument Name - The name the capability will be listed under in
the flow.  Note: Capabilities accessible by protocol code are prefixed with
'user', system private capabilities have no such prefix.
<li>Description - A description of the capability type and what it is used for.
<li>Kernel Capability Name - The name of the capability as stored in the
kernel, these match the names as viewed in the capability browser.
</ul>

The first capability listed is always the logger object, if you want a console
logger to be created automatically, simply select the appropriate level.  You
can also specify a custom logger by selecting "Custom" in the option list and
filling out the slot with the name of logger object.  Next, there is a text
area where you enter an arbitrary list of extra capabilities to be passed into
the flow.  This field is useful for passing class and package capabilities
since they will automatically the domain's class loader, the protocol will not
have to lookup the capability to make use of it.

<p>
Once the form has been filled out as needed, hit the "Start" button and hope
for the best because this thing will not fail gracefully.  If the operation was
successful, and the protocol has a monitor.py file in the JAR, the form will
execute the monitor.  A typical monitor application will poll the protocol
using JSI and generate a page showing whatever information the protocol has
gathered so far.  For instance, the Health protocol will show a table with the
names of all the nodes it has spawned onto and their current health state
(e.g. fine, on fire, etc...).

"""

print beesPageTemplate.header % config

print body

print beesPageTemplate.footer % config
